/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.search.boundary;

import de.ivu.elect.business.search.entity.BenutzerSuchparameter;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class BenutzerSuchparameterDAO extends AbstractBenutzerSuchparameterDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(BenutzerSuchparameter benutzerSuchparameter){
    getEntityManager().persist(benutzerSuchparameter);
  }

  public void remove(BenutzerSuchparameter benutzerSuchparameter){
    getEntityManager().remove(benutzerSuchparameter);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: WahlterminBenutzerkennungViewIdNameNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM BenutzerSuchparameter o WHERE o.wahltermin=?1 AND o.benutzerkennung=?2 AND o.viewId=?3 AND o.name=?4<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<BenutzerSuchparameter> findByWahlterminBenutzerkennungViewIdName( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahltermin wahltermin,  @javax.annotation.Nonnull String benutzerkennung,  @javax.annotation.Nonnull String viewId,  @javax.annotation.Nonnull String name) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("BenutzerSuchparameter.findByWahlterminBenutzerkennungViewIdName" ,  wahltermin ,  benutzerkennung ,  viewId ,  name  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlterminBenutzerkennungViewIdName( wahltermin ,  benutzerkennung ,  viewId ,  name  ));
        }
        return (java.util.List<BenutzerSuchparameter>) cached;
        }
            return super.findByWahlterminBenutzerkennungViewIdName( wahltermin ,  benutzerkennung ,  viewId ,  name  );
            }
                                        
        /**
        * Name: WahlterminBenutzerkennungViewIdNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM BenutzerSuchparameter o WHERE o.wahltermin=?1 AND o.benutzerkennung=?2 AND o.viewId=?3 ORDER BY o.name<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<BenutzerSuchparameter> findByWahlterminBenutzerkennungViewId( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahltermin wahltermin,  @javax.annotation.Nonnull String benutzerkennung,  @javax.annotation.Nonnull String viewId) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("BenutzerSuchparameter.findByWahlterminBenutzerkennungViewId" ,  wahltermin ,  benutzerkennung ,  viewId  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlterminBenutzerkennungViewId( wahltermin ,  benutzerkennung ,  viewId  ));
        }
        return (java.util.List<BenutzerSuchparameter>) cached;
        }
            return super.findByWahlterminBenutzerkennungViewId( wahltermin ,  benutzerkennung ,  viewId  );
            }
                                        
        /**
        * Name: WahlterminWahlBenutzerkennungViewIdNameNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM BenutzerSuchparameter o WHERE o.wahltermin=?1 AND o.wahl=?2 AND o.benutzerkennung=?3 AND o.viewId=?4 AND o.name=?5<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<BenutzerSuchparameter> findByWahlterminWahlBenutzerkennungViewIdName( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahltermin wahltermin,  @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull String benutzerkennung,  @javax.annotation.Nonnull String viewId,  @javax.annotation.Nonnull String name) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("BenutzerSuchparameter.findByWahlterminWahlBenutzerkennungViewIdName" ,  wahltermin ,  wahl ,  benutzerkennung ,  viewId ,  name  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlterminWahlBenutzerkennungViewIdName( wahltermin ,  wahl ,  benutzerkennung ,  viewId ,  name  ));
        }
        return (java.util.List<BenutzerSuchparameter>) cached;
        }
            return super.findByWahlterminWahlBenutzerkennungViewIdName( wahltermin ,  wahl ,  benutzerkennung ,  viewId ,  name  );
            }
                                        
        /**
        * Name: WahlterminWahlBenutzerkennungViewIdNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM BenutzerSuchparameter o WHERE o.wahltermin=?1 AND o.wahl=?2 AND o.benutzerkennung=?3 AND o.viewId=?4 ORDER BY o.name<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<BenutzerSuchparameter> findByWahlterminWahlBenutzerkennungViewId( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahltermin wahltermin,  @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull String benutzerkennung,  @javax.annotation.Nonnull String viewId) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("BenutzerSuchparameter.findByWahlterminWahlBenutzerkennungViewId" ,  wahltermin ,  wahl ,  benutzerkennung ,  viewId  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlterminWahlBenutzerkennungViewId( wahltermin ,  wahl ,  benutzerkennung ,  viewId  ));
        }
        return (java.util.List<BenutzerSuchparameter>) cached;
        }
            return super.findByWahlterminWahlBenutzerkennungViewId( wahltermin ,  wahl ,  benutzerkennung ,  viewId  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}